Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
soiconkthn

lisp move đối tượng

Các bài được khuyến nghị

e muốn viết một lisp như sau : di chuyển đối tượng mà mình vừa mới chọn xong (move>previous)mà mình thường dùng (m,p) thành lệnh :`q

cậu lệnh của e như sau :

(defun c:`q () (ssget) (command "move" "" "p"))

nhưng mà ko đc,mong các anh sửa giúp e, e cảm ơn các anh rất nhiều.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
e muốn viết một lisp như sau : di chuyển đối tượng mà mình vừa mới chọn xong (move>previous)mà mình thường dùng (m,p) thành lệnh :`q

cậu lệnh của e như sau :

(defun c:`q () (ssget) (command "move" "" "p"))

nhưng mà ko đc,mong các anh sửa giúp e, e cảm ơn các anh rất nhiều.

Lệnh move thì phải có điểm gốc move, điểm đến move. Trong Lisp của bạn thiếu cái này. Hơn nữa, lệnh CAD thực hiện move thế nào thì trong Lisp phải "tương tự" như thế đó.

Code của bạn được sửa lại như sau :

(defun c:`q ()

(setq bp (getpoint "\n Base point :"))

(setq Sp (getpoint bp "\n displacement point :"))

(command "move" "P" "" bp sp)

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Lệnh move thì phải có điểm gốc move, điểm đến move. Trong Lisp của bạn thiếu cái này. Hơn nữa, lệnh CAD thực hiện move thế nào thì trong Lisp phải "tương tự" như thế đó.

Code của bạn được sửa lại như sau :

(defun c:`q ()

(setq bp (getpoint "\n Base point :"))

(setq Sp (getpoint bp "\n displacement point :"))

(command "move" "P" "" bp sp)

)

cảm ơn anh rất nhiều, e đã làm đc rồi.nhưng có một trục trặc nhỏ là lúc mình gõ lệnh thì đối tượng đc chọn ko di chuyển luôn mà phải sau khi gõ backspace mới di chuyển tức là mình hơi kho ước lượng đc khoảng di chuyển,e muốn sửa nó thì thêm lệnh gì hả a...

nhận tiên : anh ơi cho e hỏi ở HN có chỗ nào dạy lập trình autolisp vơi VB ko, e đang rất muốn đi học cho nó bài bản, lấy đấy làm cơ sở để tự học.thanks a rất nhiều, hy vọng đc anh chỉ bảo nhiều hơn..^__^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×